DNADMSOCorrections
Date: 2014-08-08

melting.correctionMethods

## Class DNADMSOCorrections

- java.lang.Object
- - melting.correctionMethods.DNADMSOCorrections

- All Implemented Interfaces:
    CorrectionMethod
  Direct Known Subclasses:
    Ahsen01DMSOCorrection, Cullen76DMSOCorrection, Escara80DMSOCorrection, Musielski81DMSOCorrection

      public abstract class DNADMSOCorrections
      extends java.lang.Object
      implements CorrectionMethod

  This class represents the DMSO correction. It implements the CorrectionMethod interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNADMSOCorrections()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResult(Environment environment, double parameter)`
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface melting.methodInterfaces.CorrectionMethod

      `correctMeltingResults`

- - ### Constructor Detail

    - #### DNADMSOCorrections

          public DNADMSOCorrections()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctMeltingResult

          public ThermoResult correctMeltingResult(Environment environment,
                                          double parameter)